
<span [ngSwitch]="type">
    <mat-form-field class="full-width" *ngSwitchDefault>
        <mat-chip-list #chipList aria-label="'Selection Options'">
            <mat-chip *ngFor="let opt of options" [selectable]="selectable"
                    [removable]="removable" (removed)="remove(opt)">
                {{opt.name}}
            <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
            </mat-chip>
            <input [placeholder]="placeholder"
                [matChipInputFor]="chipList"
                [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                [matChipInputAddOnBlur]="addOnBlur"
                (matChipInputTokenEnd)="add($event)">
        </mat-chip-list>
    </mat-form-field>
</span>
  